protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Namespaces | Functions
byteswap.hpp File Reference

Contains functions to swap bytes in values (for different endianness). More...

`#include "config.hpp"`
`#include <cstdint>`
`#include <cstring>`
Include dependency graph for byteswap.hpp:

Go to the source code of this file.

## Namespaces
namespace | protozero
| All parts of the protozero header-only library are in this namespace.

## Functions
void | protozero::byteswap_inplace (uint32_t *ptr) noexcept
| byteswap the data pointed to by ptr in-place.
void | protozero::byteswap_inplace (uint64_t *ptr) noexcept
| byteswap the data pointed to by ptr in-place.
void | protozero::byteswap_inplace (int32_t *ptr) noexcept
| byteswap the data pointed to by ptr in-place.
void | protozero::byteswap_inplace (int64_t *ptr) noexcept
| byteswap the data pointed to by ptr in-place.
void | protozero::byteswap_inplace (float *ptr) noexcept
| byteswap the data pointed to by ptr in-place.
void | protozero::byteswap_inplace (double *ptr) noexcept
| byteswap the data pointed to by ptr in-place.

## Detailed Description

Contains functions to swap bytes in values (for different endianness).